catalog:
  title: CSRA disk space usage test on core machines

templates:
- runnable
- base

variables:
  description: FSMT LSP-CSRA Integration Test for disk space usage on core machines
  keywords:
  - python
  - fsmt
  - programming language
  - testing
  - integrations tests
  maintainer: Norman Koester
  recipe.maintainer:
  - efrese@techfak.uni-bielefeld.de
  - mgoettin@techfak.uni-bielefeld.de
  runnable: true
  access: private

  branches:
  - master

  shell.command: |
    #!/bin/bash
    export DISPLAY=:0.0;
    export VDEMO_prefix=${toolkit.dir}
    export VDEMO_demoRoot=$VDEMO_prefix/etc/vdemo_scripts
    CSRA_SOURCE_ENV=${toolkit.dir}/bin/source-env.sh
    . $VDEMO_demoRoot/lsp-csra-config.sh
    env_python;
    $prefix/bin/fsmt -p -t 2 -c -o $WORKSPACE --loglevel=INFO ${toolkit.dir}/etc/fsmt-experiments/physical/core-disk-space.scxml;
